package com.dxhy.common.msg;

/**
 * @author jiaohongyang
 * @date 2019年3月26日 下午5:58:26
 *
 */

public class ObjectRestResponse<T> extends BaseResponse {

    T data;
    boolean rel;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public ObjectRestResponse<T> rel(boolean rel) {
        this.setRel(rel);
        return this;
    }

    public ObjectRestResponse<T> data(T data) {
        this.setData(data);
        return this;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

}
